## mDrive_Full_software_package-ru-2025.10.10.zip

=== examples/test_Java/Makefile ===
# build with provided library on osx
UNAME := $(shell uname)
SOVER = 7
NAME = $(shell basename `pwd`).jar
ifeq ($(UNAME), Darwin)
LIBJXIMC=../../ximc/macosx/libjximc.jar
else
LIBJXIMC=libjximc.jar
endif

all: clean $(NAME)

run: all
	java -jar $(NAME)

$(NAME): ru/ximc/TestJava.java
	javac -classpath .:$(LIBJXIMC) -Xlint ru/ximc/TestJava.java
	jar cmf MANIFEST.MF $@ ru

clean:
	rm -f $(NAME) ru/ximc/*.class libjximc.jar

=== examples/test_Python/Makefile ===
PYTHON ?= python

UNAME := $(shell uname)
ifeq ($(UNAME), Darwin)
	ENV_LD_PATH=DYLD_LIBRARY_PATH=../../ximc/macosx
endif

run:
	PYTHONPATH=../../wrappers/python $(ENV_LD_PATH) $(PYTHON) standardtest/test_Python.py

=== examples/test_C/testapp_C/Makefile ===
UNAME := $(shell uname)
ifeq ($(UNAME), Darwin)
CFLAGS += -F../../../ximc/macosx
LDFLAGS += -framework libximc -rpath '@executable_path/' -rpath '../../../ximc/macosx'
else
CFLAGS += -I../../../ximc/ -I../../../ximc/macosx
LDFLAGS += -L../../../ximc/macosx -lximc
endif

CC ?= gcc
CFLAGS += -g -O0 -Wall -Wextra -Werror -pedantic -Wno-unused -std=c99

NAME = $(shell basename `pwd`)
OBJ = $(NAME).o

all: clean $(NAME)

run: all
	./$(NAME)

$(NAME): $(OBJ)
	$(CC) $(CFLAGS) $(OBJ) $(LDFLAGS) -o $@

clean:
	rm -f $(NAME) *.o
	rm -f keyfile*
	rm -rf build

=== examples/test_C/testappeasy_C/Makefile ===
UNAME := $(shell uname)
ifeq ($(UNAME), Darwin)
CFLAGS += -F../../../ximc/macosx
LDFLAGS += -framework libximc -rpath '@executable_path/' -rpath '../../../ximc/macosx'
else
CFLAGS += -I../../../ximc/ -I../../../ximc/macosx
LDFLAGS += -L../../../ximc/macosx -lximc
endif

CC ?= gcc
CFLAGS += -g -O0 -Wall -Wextra -Werror -pedantic -Wno-unused -std=c99

NAME = $(shell basename `pwd`)
OBJ = $(NAME).o

all: clean $(NAME)

run: all
	./$(NAME)

$(NAME): $(OBJ)
	$(CC) $(CFLAGS) $(OBJ) $(LDFLAGS) -o $@

clean:
	rm -f $(NAME) *.o
	rm -rf build

=== Contents/Frameworks/Python.framework/Versions/3.9/lib/python3.9/config-3.9-darwin/Makefile ===
# Generated automatically from Makefile.pre by makesetup.
# Top-level Makefile for Python
#
# As distributed, this file is called Makefile.pre.in; it is processed
# into the real Makefile by running the script ./configure, which
# replaces things like @spam@ with values appropriate for your system.
# This means that if you edit Makefile, your changes get lost the next
# time you run the configure script.  Ideally, you can do:
#
#	./configure
#	make
#	make test
#	make install
#
# If you have a previous version of Python installed that you don't
# want to overwrite, you can use "make altinstall" instead of "make
# install".  Refer to the "Installing" section in the README file for
# additional details.
#
# See also the section "Build instructions" in the README file.

# === Variables set by makesetup ===

MODBUILT_NAMES=      posix  errno  pwd  _sre  _codecs  _weakref  _functools  _operator  _collections  _abc  itertools  atexit  _signal  _stat  time  _thread  _locale  _io  faulthandler  _tracemalloc  _peg_parser  _symtable  xxsubtype
MODDISABLED_NAMES= 
MODOBJS=             Modules/posixmodule.o  Modules/errnomodule.o  Modules/pwdmodule.o  Modules/_sre.o  Modules/_codecsmodule.o  Modules/_weakref.o  Modules/_functoolsmodule.o  Modules/_operator.o  Modules/_collectionsmodule.o  Modules/_abc.o  Modules/itertoolsmodule.o  Modules/atexitmodule.o  Modules/signalmodule.o  Modules/_stat.o  Modules/timemodule.o  Modules/_threadmodule.o  Modules/_localemodule.o  Modules/_iomodule.o Modules/iobase.o Modules/fileio.o Modules/bytesio.o Modules/bufferedio.o Modules/textio.o Modules/stringio.o  Modules/faulthandler.o  Modules/_tracemalloc.o  Modules/_peg_parser.o  Modules/symtablemodule.o  Modules/xxsubtype.o
MODLIBS=           $(LOCALMODLIBS) $(BASEMODLIBS)

# === Variables set by configure
VERSION=	3.9
srcdir=		/Users/sysadmin/build/v3.9.8
VPATH=		/Users/sysadmin/build/v3.9.8
abs_srcdir=	/Users/sysadmin/build/v3.9.8
abs_builddir=	/private/tmp/_py/_bld/python


CC=		gcc
CXX=		g++
MAINCC=		$(CC)
LINKCC=		$(PURIFY) $(MAINCC)
AR=		ar
READELF=	:
SOABI=		cpython-39-darwin
LDVERSION=	$(VERSION)$(ABIFLAGS)
LIBPYTHON=	
GITVERSION=	
GITTAG=		
GITBRANCH=	
PGO_PROF_GEN_FLAG=-fprofile-instr-generate
PGO_PROF_USE_FLAG=-fprofile-instr-use=code.profclangd
LLVM_PROF_MERGER=/usr/bin/xcrun llvm-profdata merge -output=code.profclangd *.profclangr
LLVM_PROF_FILE=LLVM_PROFILE_FILE="code-%p.profclangr"
LLVM_PROF_ERR=no
DTRACE=         
DFLAGS=         
DTRACE_HEADERS= 
DTRACE_OBJS=    

GNULD=		no

# Shell used by make (some versions default to the login shell, which is bad)
SHELL=		/bin/sh

# Use this to make a link between python$(VERSION) and python in $(BINDIR)
LN=		ln

# Portable install script (configure doesn't always guess right)
INSTALL=	/usr/bin/install -c
INSTALL_PROGRAM=${INSTALL}
INSTALL_SCRIPT= ${INSTALL}
INSTALL_DATA=	${INSTALL} -m 644
# Shared libraries must be installed with executable mode on some systems;
# rather than figuring out exactly which, we always give them executable mode.
INSTALL_SHARED= ${INSTALL} -m 755

MKDIR_P=	/Users/sysadmin/build/v3.9.8/install-sh -c -d

MAKESETUP=      $(srcdir)/Modules/makesetup

# Compiler options
OPT=		-DNDEBUG -g -fwrapv -O3 -Wall
BASECFLAGS=	 -Wno-unused-result -Wsign-compare -Wunreachable-code -fno-common -dynamic
BASECPPFLAGS=	-IObjects -IInclude -IPython
CONFIGURE_CFLAGS=	-arch arm64 -arch x86_64 -g
# CFLAGS_NODIST is used for building the interpreter and stdlib C extensions.
# Use it when a compiler flag should _not_ be part of the distutils CFLAGS
# once Python is installed (Issue #21121).
CONFIGURE_CFLAGS_NODIST= -std=c99 -Wextra -Wno-unused-result -Wno-unused-parameter -Wno-missing-field-initializers -Wstrict-prototypes -Werror=implicit-function-declaration -fvisibility=hidden
# LDFLAGS_NODIST is used in the same manner as CFLAGS_NODIST.
# Use it when a linker flag should _not_ be part of the distutils LDFLAGS
# once Python is installed (bpo-35257)
CONFIGURE_LDFLAGS_NODIST=
CONFIGURE_CPPFLAGS=	
CONFIGURE_LDFLAGS=	-arch arm64 -arch x86_64 -g
# Avoid assigning CFLAGS, LDFLAGS, etc. so users can use them on the
# command line to append to these values without stomping the pre-set
# values.
PY_CFLAGS=	$(BASECFLAGS) $(OPT) $(CONFIGURE_CFLAGS) $(CFLAGS) $(EXTRA_CFLAGS)
PY_CFLAGS_NODIST=$(CONFIGURE_CFLAGS_NODIST) $(CFLAGS_NODIST) -I$(srcdir)/Include/internal
# Both CPPFLAGS and LDFLAGS need to contain the shell's value for setup.py to
# be able to build extension modules using the directories specified in the
# environment variables
PY_CPPFLAGS=	$(BASECPPFLAGS) -I. -I$(srcdir)/Include $(CONFIGURE_CPPFLAGS) $(CPPFLAGS)
PY_LDFLAGS=	$(CONFIGURE_LDFLAGS) $(LDFLAGS)
PY_LDFLAGS_NODIST=$(CONFIGURE_LDFLAGS_NODIST) $(LDFLAGS_NODIST)
NO_AS_NEEDED=	
CCSHARED=	
# LINKFORSHARED are the flags passed to the $(CC) command that links
# the python executable -- this is only needed for a few systems
LINKFORSHARED=	-Wl,-stack_size,1000000  -framework CoreFoundation $(PYTHONFRAMEWORKDIR)/Versions/$(VERSION)/$(PYTHONFRAMEWORK)
ARFLAGS=	rcs
# Extra C flags added for building the interpreter object files.
CFLAGSFORSHARED=$(CCSHARED)
# C flags used for building the interpreter object files
PY_STDMODULE_CFLAGS= $(PY_CFLAGS) $(PY_CFLAGS_NODIST) $(PY_CPPFLAGS) $(CFLAGSFORSHARED)
PY_BUILTIN_MODULE_CFLAGS= $(PY_STDMODULE_CFLAGS) -DPy_BUILD_CORE_BUILTIN
PY_CORE_CFLAGS=	$(PY_STDMODULE_CFLAGS) -DPy_BUILD_CORE
# Linker flags used for building the interpreter object files
PY_CORE_LDFLAGS=$(PY_LDFLAGS) $(PY_LDFLAGS_NODIST)
# Strict or non-strict aliasing flags used to compile dtoa.c, see above
CFLAGS_ALIASING=-fno-strict-aliasing


# Machine-dependent subdirectories
MACHDEP=	darwin

# Multiarch directory (may be empty)
MULTIARCH=	darwin
MULTIARCH_CPPFLAGS = -DMULTIARCH=\"darwin\"

# Install prefix for architecture-independent files
prefix=		/Library/Frameworks/Python.framework/Versions/3.9

# Install prefix for architecture-dependent files
exec_prefix=	${prefix}

# Install prefix for data files
datarootdir=    ${prefix}/share

# Expanded directories
BINDIR=		${exec_prefix}/bin
LIBDIR=		${exec_prefix}/lib
MANDIR=		${datarootdir}/man
INCLUDEDIR=	${prefix}/include
CONFINCLUDEDIR=	$(exec_prefix)/include
PLATLIBDIR=	lib
SCRIPTDIR=	$(prefix)/$(PLATLIBDIR)
ABIFLAGS=	

# Detailed destination directories
BINLIBDEST=	$(LIBDIR)/python$(VERSION)
LIBDEST=	$(SCRIPTDIR)/python$(VERSION)
INCLUDEPY=	$(INCLUDEDIR)/python$(LDVERSION)
CONFINCLUDEPY=	$(CONFINCLUDEDIR)/python$(LDVERSION)

# Symbols used for using shared libraries
SHLIB_SUFFIX=	.so
EXT_SUFFIX=	.cpython-39-darwin.so
LDSHARED=	$(CC) -bundle -undefined dynamic_lookup $(PY_LDFLAGS)
BLDSHARED=	$(CC) -bundle -undefined dynamic_lookup $(PY_CORE_LDFLAGS)
LDCXXSHARED=	$(CXX) -bundle -undefined dynamic_lookup
DESTSHARED=	$(BINLIBDEST)/lib-dynload

# List of exported symbols for AIX
EXPORTSYMS=	
EXPORTSFROM=	

# Executable suffix (.exe on Windows and Mac OS X)
EXE=		
BUILDEXE=	.exe

# Short name and location for Mac OS X Python framework
UNIVERSALSDK=/
PYTHONFRAMEWORK=	Python
PYTHONFRAMEWORKDIR=	Python.framework
PYTHONFRAMEWORKPREFIX=	/Library/Frameworks
PYTHONFRAMEWORKINSTALLDIR= /Library/Frameworks/Python.framework
# Deployment target selected during configure, to be checked
# by distutils. The export statement is needed to ensure that the
# deployment target is active during build.
MACOSX_DEPLOYMENT_TARGET=10.9
export MACOSX_DEPLOYMENT_TARGET

# Option to install to strip binaries
STRIPFLAG=-s

# Flags to lipo to produce a 32-bit-only universal executable
LIPO_32BIT_FLAGS=

# Flags to lipo to produce an intel-64-only universal executable
LIPO_INTEL64_FLAGS=-extract x86_64

# Options to enable prebinding (for fast startup prior to Mac OS X 10.3)
OTHER_LIBTOOL_OPT=

# Environment to run shared python without installed libraries
RUNSHARED=       DYLD_FRAMEWORK_PATH=/private/tmp/_py/_bld/python

# ensurepip options
ENSUREPIP=      no

# OpenSSL options for setup.py so sysconfig can pick up AC_SUBST() vars.
OPENSSL_INCLUDES=-I/tmp/_py/libraries/usr/local/include
OPENSSL_LIBS=-lssl -lcrypto
OPENSSL_LDFLAGS=-L/tmp/_py/libraries/usr/local/lib

# Default zoneinfo.TZPATH. Added here to expose it in sysconfig.get_config_var
TZPATH=/usr/share/zoneinfo:/usr/lib/zoneinfo:/usr/share/lib/zoneinfo:/etc/zoneinfo

# Modes for directories, executables and data files created by the
# install process.  Default to user-only-writable for all file types.
DIRMODE=	755
EXEMODE=	755
FILEMODE=	644

# configure script arguments
CONFIG_ARGS=	 '-C' '--enable-framework' '--enable-universalsdk=/' '--with-universal-archs=universal2' '--with-computed-gotos' '--without-ensurepip' '--with-openssl=/tmp/_py/libraries/usr/local' '--with-tcltk-includes=-I/tmp/_py/libraries/usr/local/include' '--with-tcltk-libs=-ltcl8.6 -ltk8.6' 'LDFLAGS=-g' 'CFLAGS=-g' 'CC=gcc'


# Subdirectories with code
SRCDIRS= 	Parser Parser/pegen Objects Python Modules Modules/_io Programs

# Other subdirectories
SUBDIRSTOO=	Include Lib Misc

# Files and directories to be distributed
CONFIGFILES=	configure configure.ac acconfig.h pyconfig.h.in Makefile.pre.in
DISTFILES=	README.rst ChangeLog $(CONFIGFILES)
DISTDIRS=	$(SUBDIRS) $(SUBDIRSTOO) Ext-dummy
DIST=		$(DISTFILES) $(DISTDIRS)


LIBRARY=	libpython$(VERSION)$(ABIFLAGS).a
LDLIBRARY=      $(PYTHONFRAMEWORKDIR)/Versions/$(VERSION)/$(PYTHONFRAMEWORK)
BLDLIBRARY=     
PY3LIBRARY=     
DLLLIBRARY=	
LDLIBRARYDIR=   
INSTSONAME=	$(LDLIBRARY)


LIBS=		-ldl   -framework CoreFoundation
LIBM=		
LIBC=		
SYSLIBS=	$(LIBM) $(LIBC)
SHLIBS=		$(LIBS)

DLINCLDIR=	.
DYNLOADFILE=	dynload_shlib.o
MACHDEP_OBJS=	
LIBOBJDIR=	Python/
LIBOBJS=	

PYTHON=		python$(EXE)
BUILDPYTHON=	python$(BUILDEXE)

PYTHON_FOR_REGEN?=python3
UPDATE_FILE=python3 $(srcdir)/Tools/scripts/update_file.py
PYTHON_FOR_BUILD=./$(BUILDPYTHON) -E
_PYTHON_HOST_PLATFORM=
BUILD_GNU_TYPE=	x86_64-apple-darwin20.6.0
HOST_GNU_TYPE=	x86_64-apple-darwin20.6.0

# Tcl and Tk config info from --with-tcltk-includes and -libs options
TCLTK_INCLUDES=	-I/tmp/_py/libraries/usr/local/include
TCLTK_LIBS=	-ltcl8.6 -ltk8.6

# The task to run while instrumented when building the profile-opt target.
# To speed up profile generation, we don't run the full unit test suite
# by default. The default is "-m test --pgo". To run more tests, use
# PROFILE_TASK="-m test --pgo-extended"
PROFILE_TASK=	-m test --pgo

# report files for gcov / lcov coverage report
COVERAGE_INFO=	$(abs_builddir)/coverage.info
COVERAGE_REPORT=$(abs_builddir)/lcov-report
COVERAGE_REPORT_OPTIONS=--no-branch-coverage --title "CPython lcov report"


# === Definitions added by makesetup ===

LOCALMODLIBS=                       
BASEMODLIBS=
PYTHONPATH=$(COREPYTHONPATH)
COREPYTHONPATH=$(DESTPATH)$(SITEPATH)$(TESTPATH)
TESTPATH=
SITEPATH=
DESTPATH=
MACHDESTLIB=$(BINLIBDEST)
DESTLIB=$(LIBDEST)



##########################################################################
# Modules
MODULE_OBJS=	\
		Modules/config.o \
		Modules/getpath.o \
		Modules/main.o \
		Modules/gcmodule.o

IO_H=		Modules/_io/_iomodule.h

IO_OBJS=	\
		Modules/_io/_iomodule.o \
		Modules/_io/iobase.o \
		Modules/_io/fileio.o \
		Modules/_io/bufferedio.o \
		Modules/_io/textio.o \
		Modules/_io/bytesio.o \
		Modules/_io/stringio.o

##########################################################################

LIBFFI_INCLUDEDIR=	

##########################################################################
# Parser

PEGEN_OBJS=		\
		Parser/pegen/pegen.o \
		Parser/pegen/parse.o \
		Parser/pegen/parse_string.o \
		Parser/pegen/peg_api.o


PEGEN_HEADERS= \
		$(srcdir)/Include/internal/pegen_interface.h \
		$(srcdir)/Parser/pegen/pegen.h \
		$(srcdir)/Parser/pegen/parse_string.h

POBJS=		\
		Parser/acceler.o \
		Parser/grammar1.o \
		Parser/listnode.o \
		Parser/node.o \
		Parser/parser.o \
		Parser/token.o \

PARSER_OBJS=	$(POBJS) $(PEGEN_OBJS) Parser/myreadline.o Parser/parsetok.o Parser/tokenizer.o

PARSER_HEADERS= \
		$(PEGEN_HEADERS) \
		$(srcdir)/Include/grammar.h \
		$(srcdir)/Include/parsetok.h \

=== debian/changelog ===
libximc7 (2.14.28-1) unstable; urgency=low

  * Version bump
  * Bug: Fix documentation a little
  * Bug: Fix python binding bug with uninitialized structures, #105984
  * Bug: Add errcode return while trying to set calb.coeff. A to 0, #91948
 -- XIMC <8smc4@standa.lt>  Thu, 20 Feb 2025 10:46:59 +0300

libximc7 (2.14.27-1) unstable; urgency=low

  * Version bump
  * Add pauses into examples, #99322
  * Mark USB voltage and current values as deprecated, #103346

 -- XIMC <8smc4@standa.lt>  Wed, 28 Aug 2024 16:36:02 +0300

libximc7 (2.14.26-1) unstable; urgency=low

  * Version bump
  * Change README

 -- XIMC <8smc4@standa.lt>  Tue, 06 Aug 2024 16:07:42 +0300

libximc7 (2.14.25-1) unstable; urgency=low

  * Version bump
  * Fix PyPI summary bug, #102659

 -- XIMC <8smc4@standa.lt>  Mon, 05 Aug 2024 12:46:48 +0300

libximc7 (2.14.24-1) unstable; urgency=low

  * Version bump
  * Change README.md to README.txt in Python Jupyter example
  * Improve documentation for joystick_settings and enumerate_devices, #97384
  * Update READMEs for examples, #99321
  * Add 'Deprecated' note in ximc_fix_usbser_sys documentation, #90338
  * Fix testpython.py, #99244
  * Add local imports, #95890
  * Fix debian related bug of wrong shared objects directory, #99322
  * Add pauses in C examples, #99322

 -- XIMC <8smc4@standa.lt>  Wed, 17 Jul 2024 17:00:45 +0300

libximc7 (2.14.23-1) unstable; urgency=low

  * Version bump
  * Bug: Fix enumeration bug, #99039
  * Feture: added jupyter readme, #99084
  * Bug: Fix indecies bug, #99109

 -- XIMC <8smc4@standa.lt>  Tue, 28 May 2024 20:03:04 +0300

libximc7 (2.14.22-1) unstable; urgency=low

  * Version bump
  * Bug: fix xi-net bug, #97428

 -- XIMC <8smc4@standa.lt>  Tue, 23 Apr 2024 18:01:45 +0300

libximc7 (2.14.21-1) unstable; urgency=low

  * Version bump
  * Add the python binding principles to the README.md
  * Feature: Rewrite python examples using new binding, #89826
  * Bug: Add integer-comparison support for enums, #92182
  * Feature: Add deprecation warning to ximc_fix_usbser_sys, #90338
  * Feature: Add instruction for Linux build, #60546

 -- XIMC <8smc4@standa.lt>  Tue, 05 Mar 2024 17:53:20 +0300

libximc7 (2.14.20-1) unstable; urgency=low

  * Version bump
  * add new python binding
  * fix docs

 -- XIMC <8smc4@standa.lt>  Thu, 28 Dec 2023 11:49:58 +0300

libximc7 (2.14.19-1) unstable; urgency=low

  * Version bump
  * remove PyPI builder out of the repo, #85896
  * complete working on APIv2 binding, #86075
  * fix english documentation, #87709
  * change UserPassword type to char[]


 -- XIMC <8smc4@standa.lt>  Mon, 13 Nov 2023 11:54:15 +0300

libximc7 (2.14.18-1) unstable; urgency=low

  * Version bump
  * Feature #85091 Taking position calculation out to the place before
  * all command execution (before switch statement)
  * Feature #84179 Now use only absolute paths for virtual controllers

 -- XIMC <8smc4@standa.lt>  Tue, 12 Sep 2023 11:24:00 +0300

libximc7 (2.14.17-1) unstable; urgency=low

  * Version bump
  * Bug #84285 Incorrect virtual controllers

 -- XIMC <8smc4@standa.lt>  Wed, 23 Aug 2023 14:34:36 +0300

libximc7 (2.14.16-1) unstable; urgency=low

  * Version bump
  * Feature #83712 mDrive enumerate enumerate and discovery errors fixed 

 -- XIMC <8smc4@standa.lt>  Mon, 21 Aug 2023 14:16:00 +0300

libximc7 (2.14.15-1) unstable; urgency=low

  * Version bump
  * Feature #83712 mDrive enumerate and discovery added

 -- XIMC <8smc4@standa.lt>  Tue, 25 Jul 2023 19:34:58 +0300

libximc7 (2.14.14-1) unstable; urgency=low

  * Version bump
  * Feature #70712 jupiter libximc improved
  * Feature #74546 readme added to the pypi libximc example
  * Feature #75619 hints argument description corrected
  * Feature #76913 Documentation start pages reviewed
  * Feature #79128 libximc .sh scripts improved

 -- XIMC <8smc4@standa.lt>  Thu, 22 Jun 2023 13:56:12 +0300

libximc7 (2.14.13-1) unstable; urgency=low

  * Version bump
  * Feature #77391 Wrong position returned in virtual controllers fixed

 -- XIMC <8smc4@standa.lt>  Thu, 11 May 2023 11:55:23 +0300

libximc7 (2.14.11-1) unstable; urgency=low

  * Version bump
  * Feature #74036 additionally: set_bindy_key calls removed from examples

 -- XIMC <8smc4@standa.lt>  Tue, 07 Mar 2023 18:56:56 +0300

libximc7 (2.14.10-1) unstable; urgency=low

  * Version bump
  * Feature #74028 Updated wiring diagrams
  * Feature #74036 keyfile.sqlite removed
  * Feature #74552 Nagle algorithm off in xi-tcp
  * Feature #74671 Unused files removed from example projects
  * Feature #74594 Jupiter_demo added
  * Feature #70732 Virtual controller updated
  * Feature #74575 emumerate_device function made multithreaded
  * Feature #74580 Miniupnpc using improved  

 -- XIMC <8smc4@standa.lt>  Fri, 17 Feb 2023 12:21:46 +0300

libximc7 (2.14.9-1) unstable; urgency=low

  * Version bump
  * Feature #72852 XIMC-device net discovering added (miniupnpc used)

 -- XIMC <8smc4@standa.lt>  Fri, 20 Jan 2023 13:41:06 +0300

libximc7 (2.14.8-1) unstable; urgency=low

  * Version bump
  * Feature #53770 calibration_t struct description changed
  * Feature #72516 C example moved to test_C directory
  * Feature #71035 python jupiter example improved
  * Feature #72241 libximc virtual controller updated
  * Feature #65676 The same separator applied for all correction tables

 -- XIMC <8smc4@standa.lt>  Wed, 28 Dec 2022 13:49:23 +0300

libximc7 (2.14.7-1) unstable; urgency=low

  * Version bump
  * Feature #69053 extendtest example bug fixed
  * Feature #67205 jupiter example added
  * Feature #69542 extendspython example: netifaces module changed for ifaddr

 -- XIMC <8smc4@standa.lt>  Wed, 09 Nov 2022 17:56:14 +0300

libximc7 (2.14.6-1) unstable; urgency=low

  * Version bump
  * Feature #67711 Network settings control via USB added 
  * Feature #67712 Network settings control via web added

 -- XIMC <8smc4@standa.lt>  Wed, 07 Sep 2022 13:48:57 +0300

libximc7 (2.14.5-1) unstable; urgency=low

  * Version bump


=== debian/control ===
Source: libximc7
Priority: extra
Maintainer: XIMC Labs <8smc4@standa.lt>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, doxygen, bison, flex
Standards-Version: 3.8.4
Section: libs
Homepage: http://www.xisupport.com

Package: libximc7-dev
Section: libdevel
Architecture: any
Depends: libximc7 (= ${binary:Version}), ${misc:Depends}, libc6 (>= 2.1)
Replaces: libximc6-dev
Breaks: libximc6-dev
Description: Library for controlling stepper and other motors.
 It provides a simple C interface for controlling and configuring 
 engine and controller.  It uses a common virtual serial port driver 
 embedded in all OS.

Package: libximc7
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libximc6
Breaks: libximc6
Description: Library for controlling stepper and other motors.
 It provides a simple C interface for controlling and configuring 
 engine and controller.  It uses a common virtual serial port driver 
 embedded in all OS.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --with-docs $(shell dpkg-buildflags --export=configure) $(PACKAGE_EXTRA_CONFIGURE)
